HEADER

<p>
This homepage is hosted on a standard Debian Stretch installation with a standard Apache webserver running on it.
</p>

<p>
The logfile is written using this configuration statement:

<pre>
LogFormat "%h %l %u %t \"%r\" %>s %O \"%{Referer}i\" \"%{User-Agent}i\"" combined
</pre>
</p>

<p>
The meaning of the format string elements are:

<table border="1">
  <tr>
    <td>%h</td>
    <td>Remote hostname or IP address. This is your address.</td>
  </tr><tr>
    <td>%l</td>
    <td>Remote logname, if provided by identd. This is usually empty and represented by a dash.</td>
  </tr><tr>
    <td>%u</td>
    <td>Remote username if the request was authenticated. This is, what you would enter in a basic authentication dialog. The public part of this homepage has no authenticated areas.</td>
  </tr><tr>
    <td>%t</td>
    <td>The date and time of the request.</td>
  </tr><tr>
    <td>%r</td>
    <td>The first line of the request, usually contains the URL you are requesting.</td>
  </tr><tr>
    <td>$>s</td>
    <td>The final status code of this request.</td>
  </tr><tr>
    <td>%O</td>
    <td>Bytes sent including headers.</td>
  </tr><tr>
    <td>%{Referer}i</td>
    <td>What your browser puts into the variable Referer of your request. This is usually the address of the page which sent you here, like a search engine (Google, ...).</td>
  </tr><tr>
    <td>%{User-Agent}i</td>
    <td>What your browser puts into the variable User-Agent of your request, usually its own software identification.</td>
  </tr>
</table>
</p>

<p>
A typical log entry looks like this:

<pre>
217.7.123.85 - - [02/May/2018:14:53:05 +0200] "GET / HTTP/1.1" 200 4984 "-" "Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/64.0.3282.119 Safari/537.36"
</pre>
</p>

<p>
For more information consult the Apache documentation at <a href="http://httpd.apache.org/docs/2.4/mod/mod_log_config.html">http://httpd.apache.org/docs/2.4/mod/mod_log_config.html</a>.
</p>


FOOTER